Crashpad

Public Attributes | List of all members
crashpad::MinidumpContextX86 Struct Reference

A 32-bit x86 CPU context (register state) carried in a minidump file. More...

`#include "minidump/minidump_context.h"`

## Public Attributes
uint32_t | context_flags
| A bitfield composed of values of MinidumpContextFlags and MinidumpContextX86Flags. More...
uint32_t | dr0
uint32_t | dr1
uint32_t | dr2
uint32_t | dr3
uint32_t | dr6
uint32_t | dr7
CPUContextX86::Fsave | fsave
union {
uint32_t spare_0
uint32_t cr0_npx_state
} | float_save
uint32_t | gs
uint32_t | fs
uint32_t | es
uint32_t | ds
uint32_t | edi
uint32_t | esi
uint32_t | ebx
uint32_t | edx
uint32_t | ecx
uint32_t | eax
uint32_t | ebp
uint32_t | eip
uint32_t | cs
uint32_t | eflags
uint32_t | esp
uint32_t | ss
CPUContextX86::Fxsave | fxsave

## Detailed Description

A 32-bit x86 CPU context (register state) carried in a minidump file.

This is analogous to the `CONTEXT` structure on Windows when targeting 32-bit x86, and the `WOW64_CONTEXT` structure when targeting an x86-family CPU, either 32- or 64-bit. This structure is used instead of `CONTEXT` or `WOW64_CONTEXT` to make it available when targeting other architectures.

Note
  This structure doesn’t carry `dr4` or `dr5`, which are obsolete and normally alias `dr6` and `dr7`, respectively. See Intel Software Developer’s Manual, Volume 3B: System Programming, Part 2 (253669-052), 17.2.2 “Debug Registers DR4 and DR5”.

## Member Data Documentation

## ◆ context_flags

uint32_t crashpad::MinidumpContextX86::context_flags

A bitfield composed of values of MinidumpContextFlags and MinidumpContextX86Flags.

This field identifies the context structure as a 32-bit x86 CPU context, and indicates which other fields in the structure are valid.

The documentation for this struct was generated from the following file:

- minidump/minidump_context.h